python-paramiko_2.4.1-0ubuntu3.2_all.deb


Advertisement

Description

python-paramiko - Make ssh v2 connections (Python 2)

Property Value
Distribution Ubuntu 18.10 (Cosmic Cuttlefish)
Repository Ubuntu Updates Main i386
Package name python-paramiko
Package version 2.4.1
Package release 0ubuntu3.2
Package architecture all
Package type deb
Installed size 674 B
Download size 116.29 KB
Official Mirror archive.ubuntu.com
This is a library for making SSH2 connections (client or server).
Emphasis is on using SSH2 as an alternative to SSL for making secure
connections between Python scripts.  All major ciphers and hash methods
are supported.  SFTP client and server mode are both supported too.
This is the Python 2 version of the package.

Alternatives

Package Version Architecture Repository
python-paramiko_2.4.1-0ubuntu3.2_all.deb 2.4.1 all Ubuntu Updates Main
python-paramiko_2.4.1-0ubuntu3_all.deb 2.4.1 all Ubuntu Main
python-paramiko_2.4.1-0ubuntu3_all.deb 2.4.1 all Ubuntu Main
python-paramiko - - -

Requires

Name Value
python-bcrypt -
python-cryptography >= 1.5
python-nacl -
python-pyasn1 >= 0.1.7
python:any >= 2.7~
python:any << 2.8

Provides

Name Value
python2.7-paramiko -

Download

Type URL
Binary Package python-paramiko_2.4.1-0ubuntu3.2_all.deb
Source Package paramiko

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-paramiko deb package:
    # sudo apt-get install python-paramiko

Files

Path
/usr/lib/python2.7/dist-packages/paramiko/__init__.py
/usr/lib/python2.7/dist-packages/paramiko/_version.py
/usr/lib/python2.7/dist-packages/paramiko/_winapi.py
/usr/lib/python2.7/dist-packages/paramiko/agent.py
/usr/lib/python2.7/dist-packages/paramiko/auth_handler.py
/usr/lib/python2.7/dist-packages/paramiko/authenticator.py
/usr/lib/python2.7/dist-packages/paramiko/ber.py
/usr/lib/python2.7/dist-packages/paramiko/buffered_pipe.py
/usr/lib/python2.7/dist-packages/paramiko/channel.py
/usr/lib/python2.7/dist-packages/paramiko/client.py
/usr/lib/python2.7/dist-packages/paramiko/common.py
/usr/lib/python2.7/dist-packages/paramiko/compress.py
/usr/lib/python2.7/dist-packages/paramiko/config.py
/usr/lib/python2.7/dist-packages/paramiko/dsskey.py
/usr/lib/python2.7/dist-packages/paramiko/ecdsakey.py
/usr/lib/python2.7/dist-packages/paramiko/ed25519key.py
/usr/lib/python2.7/dist-packages/paramiko/file.py
/usr/lib/python2.7/dist-packages/paramiko/hostkeys.py
/usr/lib/python2.7/dist-packages/paramiko/kex_ecdh_nist.py
/usr/lib/python2.7/dist-packages/paramiko/kex_gex.py
/usr/lib/python2.7/dist-packages/paramiko/kex_group1.py
/usr/lib/python2.7/dist-packages/paramiko/kex_group14.py
/usr/lib/python2.7/dist-packages/paramiko/kex_gss.py
/usr/lib/python2.7/dist-packages/paramiko/message.py
/usr/lib/python2.7/dist-packages/paramiko/packet.py
/usr/lib/python2.7/dist-packages/paramiko/pipe.py
/usr/lib/python2.7/dist-packages/paramiko/pkey.py
/usr/lib/python2.7/dist-packages/paramiko/primes.py
/usr/lib/python2.7/dist-packages/paramiko/proxy.py
/usr/lib/python2.7/dist-packages/paramiko/py3compat.py
/usr/lib/python2.7/dist-packages/paramiko/rsakey.py
/usr/lib/python2.7/dist-packages/paramiko/server.py
/usr/lib/python2.7/dist-packages/paramiko/sftp.py
/usr/lib/python2.7/dist-packages/paramiko/sftp_attr.py
/usr/lib/python2.7/dist-packages/paramiko/sftp_client.py
/usr/lib/python2.7/dist-packages/paramiko/sftp_file.py
/usr/lib/python2.7/dist-packages/paramiko/sftp_handle.py
/usr/lib/python2.7/dist-packages/paramiko/sftp_server.py
/usr/lib/python2.7/dist-packages/paramiko/sftp_si.py
/usr/lib/python2.7/dist-packages/paramiko/ssh_exception.py
/usr/lib/python2.7/dist-packages/paramiko/ssh_gss.py
/usr/lib/python2.7/dist-packages/paramiko/transport.py
/usr/lib/python2.7/dist-packages/paramiko/util.py
/usr/lib/python2.7/dist-packages/paramiko/win_pageant.py
/usr/lib/python2.7/dist-packages/paramiko-2.4.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/paramiko-2.4.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/paramiko-2.4.1.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/paramiko-2.4.1.egg-info/top_level.txt
/usr/share/doc/python-paramiko/changelog.Debian.gz
/usr/share/doc/python-paramiko/copyright

Changelog

2018-10-26 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
paramiko (2.4.1-0ubuntu3.2) cosmic-security; urgency=medium
* debian/tests/control: fix autopkgtest by adding python-mock and
python3-mock to Depends.
2018-10-16 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
paramiko (2.4.1-0ubuntu3.1) cosmic-security; urgency=medium
* SECURITY UPDATE: server-side authentication vulnerability
- debian/patches/CVE-2018-1000805-pre.patch: fix MSG_UNIMPLEMENTED in
paramiko/transport.py, added tests to tests/test_transport.py.
- debian/patches/CVE-2018-1000805.patch: split messages dict in
paramiko/auth_handler.py, added tests to tests/test_transport.py.
- debian/control: added python-mock and python3-mock Build-Depends.
- CVE-2018-1000805
2018-10-11 - Timo Aaltonen <tjaalton@debian.org>
paramiko (2.4.1-0ubuntu3) cosmic; urgency=medium
* disable-gssapi-on-unsupported-version.patch: Add a patch from Fedora
to disable gssapi on unsupported version. Needed for freeipa tests.
2018-08-23 - Andreas Hasenack <andreas@canonical.com>
paramiko (2.4.1-0ubuntu2) cosmic; urgency=medium
* d/p/add-missing-pub-keys.patch: the public keys used for testing
are missing from the pypi tarball, but are present in the upstream
source code. This patch addes them back so that the DEP8 tests can
pass.
2018-08-20 - Matthias Klose <doko@ubuntu.com>
paramiko (2.4.1-0ubuntu1) cosmic; urgency=medium
* New upstream version.
2018-07-27 - Matthias Klose <doko@ubuntu.com>
paramiko (2.4.0-1ubuntu3) cosmic; urgency=medium
* Fix build with pytest 3.6.
2018-07-26 - Matthias Klose <doko@ubuntu.com>
paramiko (2.4.0-1ubuntu1) cosmic; urgency=medium
* Run the autopkg tests using pytest.
2018-03-07 - Jeremy T. Bouse <jbouse@debian.org>
paramiko (2.4.0-1) unstable; urgency=medium
* Imported Upstream version 2.4.0
* Update build for 2.4.0 (Closes: #871249, #882322, #698075)
2016-06-08 - Jeremy T. Bouse <jbouse@debian.org>
paramiko (2.0.0-1) unstable; urgency=medium
* Imported Upstream version 2.0.0 (Closes: #826737)
* Correct email address for patch
* Update Standards-Version to 3.9.8, no changes needed
* Update doc file names to match upstream changes
* Update crypto dependencies
* Clean up debian/control, debian/rules and lintian issues
* Upstream bug tracking check (Closes: #783313, #754851)
2016-04-11 - Jeremy T. Bouse <jbouse@debian.org>
paramiko (1.16.0-1) unstable; urgency=medium
* Imported Upstream version 1.16.0 (Closes: #816618)
* Update debian/patches
* Add Python pyasn1 and gssapi build depends (Closes: #804582)
* Use upstream test script
* Update debian/watch to use pypi.debian.net
* Fix dh_auto_test override
* Update Standards-Version to 3.9.7, no changes needed
* Remove unneeded option

See Also

Package Description
python-requests_2.18.4-2ubuntu0.18.10.1_all.deb elegant and simple HTTP library for Python2, built for human beings
python-samba_4.8.4+dfsg-2ubuntu2.1_i386.deb Python bindings for Samba
python-wsme_0.9.2-0ubuntu2.18.10.1_all.deb Web Services Made Easy: implement multi-protocol webservices - Python 2.x
python3-all-dev_3.6.7-1~18.10_i386.deb package depending on all supported Python 3 development packages
python3-all_3.6.7-1~18.10_i386.deb package depending on all supported Python 3 runtime versions
python3-apport_2.20.10-0ubuntu13.1_all.deb Python 3 library for Apport crash report handling
python3-commandnotfound_18.10.0~pre2_all.deb Python 3 bindings for command-not-found
python3-dev_3.6.7-1~18.10_i386.deb header files and a static library for Python (default)
python3-distupgrade_18.10.11.2_all.deb manage release upgrades
python3-distutils_3.6.7-1~18.10_all.deb distutils package for Python 3.x
python3-doc_3.6.7-1~18.10_all.deb documentation for the high-level object-oriented language Python 3
python3-examples_3.6.7-1~18.10_all.deb examples for the Python language (default version)
python3-gdbm_3.6.7-1~18.10_i386.deb GNU dbm database support for Python 3.x
python3-lib2to3_3.6.7-1~18.10_all.deb Interactive high-level object-oriented language (2to3, version 3.6)
python3-minimal_3.6.7-1~18.10_i386.deb minimal subset of the Python language (default python3 version)
Advertisement
Advertisement